C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION PRPAR(IP)
C*****PRINTS UPTO 10 STORAGE PARAMETERVALUES AND LABELS.
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON/INPARA/CPAR(10)
	COMMON/CH/F(4),CSR(20),AL(10,20)
	PRPAR=0
	DO 46 I=1,IP
	K=-CPAR(I)
	IF(K.LT.0)GOTO 50
	IF(K.LT.11)WRITE(7,90)K-1
	IF(K.GE.11)WRITE(7,95)K-11
46	WRITE(7,100)(AL(M,K),M=1,10),CSR(K)
	RETURN
50	PRPAR=-1
	RETURN
90	FORMAT(1X,'P',I1,$)
95	FORMAT(1X,'R',I1,$)
100	FORMAT(1X,10A1,G13.6)
	END
